# vim: set sw=4 ts=4 et nu:

Name:               jreen
Version:            1.1.0
%define soname 1
Release:            1.3
Summary:            Qt Jabber/XMPP library
Source:             libjreen-%{version}.tar.bz2
Source99:           jreen-rpmlintrc
URL:                http://github.com/euroelessar/jreen
Group:              System/Libraries
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libqt4-devel
BuildRequires:      libqca2-devel
BuildRequires:      gcc-c++ cmake make glibc-devel pkgconfig
# optional dependencies
BuildRequires:      libidn-devel

%description
Qt Jabber/XMPP extensible library.

%package -n libjreen%{soname}
Summary:            Qt Jabber/XMPP library
Group:              System/Libraries

%description -n libjreen%{soname}
Qt Jabber/XMPP extensible library.

%package -n libjreen-devel
Summary:            Qt Jabber/XMPP library
Group:              Development/Libraries/C and C++
Provides:           jreen-devel = %{version}
Requires:           libqca2-devel
Requires:           libqt4-devel
Requires:           libjreen%{soname} = %{version}

%description -n libjreen-devel
Qt Jabber/XMPP extensible library.

%prep
%setup -q -n libjreen-%{version}

%build
LIBSUFFIX=$(echo "%{_lib}"|%__sed 's/^lib//')
mkdir build
pushd build
export CXXFLAGS="%{optflags}"
export QMAKE_CXXFLAGS="%{optflags}"
cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    ..
%__make %{?_smp_flags}
popd #build

%install
pushd build
%makeinstall
popd #build

%post   -n libjreen%{soname} -p /sbin/ldconfig
%postun -n libjreen%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libjreen%{soname}
%defattr(-,root,root)
%doc AUTHORS  ChangeLog COPYING  README
%{_libdir}/libjreen.so.%{soname}
%{_libdir}/libjreen.so.%{soname}.*

%files -n libjreen-devel
%defattr(-,root,root)
%{_includedir}/jreen
%{_libdir}/libjreen.so
%{_libdir}/pkgconfig/libjreen.pc

%changelog
* Sun Nov 13 2011 dev@dominik-schmidt.de
- update to version 1.0.1
* Sun Nov 13 2011 dev@dominik-schmidt.de
- enabled idn support
* Sat Nov 12 2011 dev@dominik-schmidt.de
- update to version 1.0.0
* Fri Jun 17 2011 pascal.bleser@opensuse.org
- initial version (0.0.1.git.29578875)
